BSD-FAQ-it
Indietro | Capitolo 7. Lavorare con il Kernel | Avanti

# 7.8. Maneggiare i file del Kernel

Può risultare utile essere in grado di lavorare con i file del Kernel, vediamo di seguito alcune operazioni che ci consentiranno di gestire al meglio questi files, per maggiori dettagli riferirsi alla URLs http://www.freebsdhowtos.com/98.html

    [root@picard root]# cd /
    [root@picard /]# chmod 777 kernel
    chmod: kernel: Operation not permitted
    .......
    .......
    [root@picard /]# chmod 777 kernel.old
    [root@picard /]# cp kernel.old kernel.maggio
    [root@picard /]# ls kernel*
    -r-xr-xr-x  1 root  wheel  4227598 Aug 18 20:54 kernel*
    -r-xr-xr-x  1 root  wheel  4122347 Apr  3 12:53 kernel.GENERIC*
    -rwxr-xr-x  1 root  wheel  4184781 Aug 22 14:04 kernel.maggio*
    -rwxrwxrwx  1 root  wheel  4184781 May  4 20:42 kernel.old*
    .......
    .......
    [root@picard /]# chmod 555 kernel.old
    [root@picard /]# cp kernel.old kernel.maggio
    [root@picard /]# ls -l kernel*
    -r-xr-xr-x  1 root  wheel  4227598 Aug 18 20:54 kernel*
    -r-xr-xr-x  1 root  wheel  4122347 Apr  3 12:53 kernel.GENERIC*
    -rwxr-xr-x  1 root  wheel  4184781 Aug 22 14:09 kernel.maggio*
    -r-xr-xr-x  1 root  wheel  4184781 May  4 20:42 kernel.old*

Abbiamo provato a modificare i permessi di accesso al file /kernel ottenendo il messaggio ``operazione non permessa''. Per capire il motivo per cui, pur essendo accreditati dei massimi poteri di gestione del sistema, non siamo stati autorizzati a modificare quel file, possiamo visualizzare il contenuto della directory in maniera diversa grazie al comando ls con l'opzione -o che ci consentirà di visualizzare i file in modalità estesa

    [root@picard /]# ls -lo kernel*
    -r-xr-xr-x  1 root  wheel  schg 4227598 Aug 18 20:54 kernel*
    -r-xr-xr-x  1 root  wheel  -    4122347 Apr  3 12:53 kernel.GENERIC*
    -rwxr-xr-x  1 root  wheel  -    4184781 Aug 22 14:09 kernel.maggio*
    -r-xr-xr-x  1 root  wheel  -    4184781 May  4 20:42 kernel.old*

Il file /kernel ha il flag schg settato, questo flag viene comunemente utilizzato per prevenire la sostituzione accidentale del Kernel stesso è può essere modificato utilizzando l'utility chflags

    [root@picard /]# chflags noschg kernel
    [root@picard /]# ls -lo kernel
    -r-xr-xr-x  1 root  wheel  - 4227598 Aug 18 20:54 kernel*
    .......
    .......
    [root@picard /]# chflags schg kernel
    [root@picard /]# ls -lo kernel
    -r-xr-xr-x  1 root  wheel  schg 4227598 Aug 18 20:54 kernel*

Le seguenti indicazioni sono particolarmente importati per il Kernel di FreeBSD 4.8-STABLE che è un'unico file monolitico, il Kernel di FreeBSD 5.0 e versioni successive viene memorizzato nella directory /boot/kernel e, come abbiamo visto, si compone di diversi files.

Indietro | Partenza | Avanti
Recuperare un vecchio Kernel | Risali | Piccoli inconvenienti